<?php
/**
 *
 * Phone gap admin settings form
 *
 */
function phonegap_admin_settings()
{
  $types = node_type_get_types();
  foreach ($types as $node_type)
  {
    $options[$node_type->type] = $node_type->name;
  };
  $form['phonegap_content_type'] = array(
    '#type'=>'radios',
    '#title'=>t('Select which content type will receive mobile posts '),
    '#description'=>t('Select which content type will be created when a mobile post is uploaded. Note the content type should contain a body field and a summary field.'),
    '#options'=>$options,
    '#default_value'=>variable_get('phonegap_content_type', 'article'),
  );
  $publish = array(
    'published'=>'Posts will be published',
    'promoted'=>'Post will be promoted to home page',
  );
  $form['phonegap_publish_content'] = array(
    '#type'=>'checkboxes',
    '#title'=>t('Choose whether mobile posts will be published or unpublished by default '),
    '#options'=>$publish,
    '#default_value'=>variable_get('phonegap_publish_content', array('published')),
  );
  $gapformats = filter_formats();
  foreach ($gapformats as $gapformat)
  {
    $goptions[$gapformat->format] = $gapformat->name;
  };
  $form['phonegap_input_format'] = array(
    '#type'=>'radios',
    '#title'=>t('Select which format type will be assigned to mobile posts '),
    '#options'=>$goptions,
    '#default_value'=>variable_get('phonegap_input_format', 'filtered_html'),
  );
    $form['phonegap_custom_libary'] = array(
    '#type'=>'textfield',
    '#title'=>t('Name of custom library '),
    '#description'=>t('Enter the name of you custom library e.g. mypglibrary - this should contain mypglibrary.html mypglibrary.js and mypglibrary.css these files will be downloaded and handed to the app.'),
    '#default_value'=>variable_get('phonegap_custom_libary', ''),
  );
  return system_settings_form($form);
}
